/**
 * customizer.js
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */
( function( $ ) {
	"use strict";

	// Site title
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title' ).text( to );
		} );
	} );

	// Site description
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).text( to );
		} );
	} );

	// Phone title
	wp.customize( 'claremont_tel_text', function( value ) {
		value.bind( function( to ) {
			$( '.top-leadin' ).text( to );
		} );
	} );

	// Tel
	wp.customize( 'claremont_tel_num', function( value ) {
		value.bind( function( to ) {
			$( '.top-tel' ).text( to );
		} );
	} );

	// Gallery images
	wp.customize( 'gallery_bg_color', function( value ) {
		value.bind( function( to ) {
			$( '.gallery .gallery-item' ).css( 'background', to );
		} );
	} );
	wp.customize( 'gallery_border_color', function( value ) {
		value.bind( function( to ) {
			$( '.gallery .gallery-item' ).css( 'border-color', to );
		} );
	} );

	// Footer copyright text
	wp.customize( 'footer_content', function( value ) {
		value.bind( function( to ) {
			$( '.site-info' ).html( to );
		} );
	} );

} )( jQuery );